Ticket #41304

3.0.0.1 - Incorrect English knowledge menu keys

Open Date: 2021-01-21 09:02 Last Update: 2021-01-24 11:14

Reporter:
Owner:
Type:
Status:
Closed
Component:
(None)
Priority:
1 - Lowest
Severity:
1 - Lowest
Resolution:
Fixed
File:
None

Details

In 3.0.0.1 compiled for English, the listed key for knowledge menu entries after "Display remaining uniques" is incorrect. For instance, the menu labels say '(c) Display weapon proficiency' but pressing 'c' brings up information about mutations.

This commit, https://osdn.net/projects/hengbandforosx/scm/git/hengbandosx/commits/a56000a9082242d366fdbbd11db85f21a3b2251f , on the english-knowledge-menu-keys branch (based on the develop branch of hengband) of the hengbandforosx project aligns the listed keys for the English knowledge menu entries with what they are in the Japanese version.

Ticket History (3/5 Histories)

2021-01-21 09:02 Updated by: backwardseric
  • New Ticket "3.0.0.1 - Incorrect English knowledge menu keys" created
2021-01-21 22:30 Updated by: deskull
2021-01-23 11:47 Updated by: hourier
  • Owner Update from deskull to hourier
  • Resolution Update from None to Accepted
2021-01-23 12:51 Updated by: hourier
  • Owner Update from hourier to deskull
  • Resolution Update from Accepted to Fixed
Comment

修正しました
ブランチfeature/Fix-English-Bugs にpush予定です

2021-01-24 11:14 Updated by: deskull
  • Status Update from Open to Closed
  • Owner Update from deskull to hourier
Comment

他件と含めてマージ完了。

Attachment File List

No attachments

Edit

You are not logged in. I you are not logged in, your comment will be treated as an anonymous post. » Login